%global python3_pkgversion 38
%global __pytest /usr/bin/pytest-3.8
%global pypi_name textfsm

Name:           python%{python3_pkgversion}-%{pypi_name}-epel
Version:        1.1.0
Release:        2%{?dist}
Summary:        Python module for parsing semi-structured text into python tables

License:        ASL 2.0
URL:            https://github.com/google/textfsm
Source0:        https://github.com/google/textfsm/archive/v%{version}.tar.gz
# Drop dep on future
Patch0:         python38-textfsm-epel-deps.patch
BuildArch:      noarch

%description
Python module which implements a template based state machine for parsing
semi-formatted text. Originally developed to allow programmatic access to
information returned from the command line interface (CLI) of networking
devices.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-pytest
Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{pypi_name}
Python module which implements a template based state machine for parsing
semi-formatted text. Originally developed to allow programmatic access to
information returned from the command line interface (CLI) of networking
devices.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest -v

%files -n python%{python3_pkgversion}-%{pypi_name}
%license COPYING
%exclude %{python3_sitelib}/testdata
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jul 21 2022 Maxwell G <gotmax@e.email> - 1.1.0-2
- Rebuild to fix bug in epel-rpm-macros' Python dependency generator

* Sun Jun 26 2022 Orion Poplawski <orion@nwra.com> - 1.1.0-1
- Build for EPEL8 Python 3.8
